<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_RentcarRequiredFields StructType
 * @subpackage Structs
 */
class JP_RentcarRequiredFields extends AbstractStructBase
{
    /**
     * The RentacarBooking
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_RentacarBooking
     */
    public $RentacarBooking;
    /**
     * Constructor method for JP_RentcarRequiredFields
     * @uses JP_RentcarRequiredFields::setRentacarBooking()
     * @param \StructType\JP_RentacarBooking $rentacarBooking
     */
    public function __construct(\StructType\JP_RentacarBooking $rentacarBooking = null)
    {
        $this
            ->setRentacarBooking($rentacarBooking);
    }
    /**
     * Get RentacarBooking value
     * @return \StructType\JP_RentacarBooking|null
     */
    public function getRentacarBooking()
    {
        return $this->RentacarBooking;
    }
    /**
     * Set RentacarBooking value
     * @param \StructType\JP_RentacarBooking $rentacarBooking
     * @return \StructType\JP_RentcarRequiredFields
     */
    public function setRentacarBooking(\StructType\JP_RentacarBooking $rentacarBooking = null)
    {
        $this->RentacarBooking = $rentacarBooking;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_RentcarRequiredFields
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
